onEvent('recipes', event => {

    //Iron Ore
    event.recipes.custommachinery.custom_machine("modpack:ore_processing_plant", 20)
        .produceItem(Item.of("minecraft:iron_ingot", 5))
        .produceItem(Item.of("minecraft:gold_ingot", 2))
        .requireItem(Item.of("minecraft:iron_ore"))
        .requireFluid(Fluid.of("astralsorcery:liquid_starlight", 50))
        .requireEnergyPerTick(50)

   //Gold Ore
    event.recipes.custommachinery.custom_machine("modpack:ore_processing_plant", 20)
        .produceItem(Item.of("minecraft:gold_ingot", 5))
        .produceItem(Item.of("minecraft:iron_ingot", 2))
        .requireItem(Item.of("minecraft:gold_ore"))
        .requireFluid(Fluid.of("astralsorcery:liquid_starlight", 50))
        .requireEnergyPerTick(50)

    //Coal Ore
    event.recipes.custommachinery.custom_machine("modpack:ore_processing_plant", 20)
        .produceItem(Item.of("minecraft:coal", 5))
        .requireItem(Item.of("minecraft:coal_ore"))
        .requireFluid(Fluid.of("astralsorcery:liquid_starlight", 50))
        .requireEnergyPerTick(50)

    //Diamond Ore
    event.recipes.custommachinery.custom_machine("modpack:ore_processing_plant", 20)
        .produceItem(Item.of("minecraft:diamond", 5))
        .produceItem(Item.of("minecraft:emerald", 2))
        .requireItem(Item.of("minecraft:diamond_ore"))
        .requireFluid(Fluid.of("astralsorcery:liquid_starlight", 50))
        .requireEnergyPerTick(50)

    //Emerald Ore
    event.recipes.custommachinery.custom_machine("modpack:ore_processing_plant", 20)
        .produceItem(Item.of("minecraft:emerald", 5))
        .produceItem(Item.of("minecraft:diamond", 2))
        .requireItem(Item.of("minecraft:emerald_ore"))
        .requireFluid(Fluid.of("astralsorcery:liquid_starlight", 50))
        .requireEnergyPerTick(50)

    //Redstone Ore
    event.recipes.custommachinery.custom_machine("modpack:ore_processing_plant", 20)
        .produceItem(Item.of("minecraft:redstone", 16))
        .produceItem(Item.of("minecraft:lapis_lazuli", 4))
        .requireItem(Item.of("minecraft:redstone_ore"))
        .requireFluid(Fluid.of("astralsorcery:liquid_starlight", 50))
        .requireEnergyPerTick(50)

    //Lapis Ore
    event.recipes.custommachinery.custom_machine("modpack:ore_processing_plant", 20)
        .produceItem(Item.of("minecraft:lapis_lazuli", 16))
        .produceItem(Item.of("minecraft:redstone", 4))
        .requireItem(Item.of("minecraft:lapis_ore"))
        .requireFluid(Fluid.of("astralsorcery:liquid_starlight", 50))
        .requireEnergyPerTick(50)

    //Nether Quartz Ore
    event.recipes.custommachinery.custom_machine("modpack:ore_processing_plant", 20)
        .produceItem(Item.of("minecraft:quartz", 5))
        .requireItem(Item.of("minecraft:nether_quartz_ore"))
        .requireFluid(Fluid.of("astralsorcery:liquid_starlight", 50))
        .requireEnergyPerTick(50)

    //Nether Gold Ore
    event.recipes.custommachinery.custom_machine("modpack:ore_processing_plant", 20)
        .produceItem(Item.of("minecraft:gold_ingot", 3))
        .produceItem(Item.of("minecraft:quartz", 2))
        .requireItem(Item.of("minecraft:nether_gold_ore"))
        .requireFluid(Fluid.of("astralsorcery:liquid_starlight", 50))
        .requireEnergyPerTick(50)

    //Ancient Debris
    event.recipes.custommachinery.custom_machine("modpack:ore_processing_plant", 20)
        .produceItem(Item.of("minecraft:netherite_scrap", 10))
        .produceItem(Item.of("minecraft:quartz", 2))
        .requireItem(Item.of("minecraft:ancient_debris"))
        .requireFluid(Fluid.of("astralsorcery:liquid_starlight", 50))
        .requireEnergyPerTick(50)

    //Aquamarine Shale
    event.recipes.custommachinery.custom_machine("modpack:ore_processing_plant", 20)
        .produceItem(Item.of("astralsorcery:aquamarine", 5))
        .requireItem(Item.of("astralsorcery:aquamarine_sand_ore"))
        .requireFluid(Fluid.of("astralsorcery:liquid_starlight", 50))
        .requireEnergyPerTick(50)

    //Starmetal Ore
    event.recipes.custommachinery.custom_machine("modpack:ore_processing_plant", 20)
        .produceItem(Item.of("astralsorcery:starmetal_ingot", 5))
        .produceItem(Item.of("astralsorcery:aquamarine", 2))
        .requireItem(Item.of("astralsorcery:starmetal_ore"))
        .requireFluid(Fluid.of("astralsorcery:liquid_starlight", 50))
        .requireEnergyPerTick(50)

})